Retrieve a holiday
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/holidays/{holiday} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/holidays/{holiday}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/holidays/{holiday}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<id>",
"object": "holiday",
"data": {
"jurisdiction": "ca_on",
"type": "statutory",
"name": "Canada Day",
"name_translations": {
"en": "Canada Day",
"fr": "Fête du Canada"
},
"name_translated": "Canada Day",
"original_date": "2026-07-01",
"observed_date": "2026-07-01",
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/holidays/<id>"
}
}Holidays
Retrieve a holiday
GET
/
holidays
/
{holiday}
Retrieve a holiday
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("holiday").
Hide child attributes
Hide child attributes
Available options:
bank, statutory The translation of the name property for the request locale. Computed using the values in name and name_translations and the value of the request's Accept-Language header.
The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.
⌘I

